package org.w3c.rdfpic.core;
/**
 * Instances of ImgMeta classes must handle reading and writing
 * text comments.  (The idea is to do this to images.)
 * A read or write is complete i.e. you write the entire comment at
 * once, as opposed to doing so in increments as with A Writer/Reader.
 * This makes a crash while writing much less likely so that data corruption
 * isn't such a danger.
 */
public interface ImgMeta {
    public String read() throws java.io.IOException;
    public void write(String comment) throws java.io.IOException;
    public boolean canRead();
    public boolean canWrite();
}
