package org.w3c.rdfpic.ui;
/**
 * A class implementing this interface must be able to verify the validity of input to a CheckedDialog.
 */

public interface Checker
{
    /**
     * Must return whether the input is acceptable.
     * @param input The user's input.
     * @param msgID An ID for the message, to allow one checker to check several messages.
     * @return whether or not the input is acceptable.
     */
    public boolean checkInput(String msgID,String input); //return false if input type unknown
}
